Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SLBenchmark Class Reference

`#include <SLBenchmark.h>`

Inheritance diagram for SLBenchmark:

[legend]
Collaboration diagram for SLBenchmark:

[legend]
List of all members.

## Public Member Functions
| SLBenchmark (const BehaviorControlInterfaces &interfaces)
virtual void | execute ()
| When doing a debug build, we save the time, when we entered the module, so we can find endless loops.
## Private Member Functions
void | GenerateNewTarget ()
double | GoToNextTarget ()
double | RotateToNextTarget ()
bool | FullTurn ()
## Private Attributes
Pose2D | currentPose
Vector2< double > | targetPosition
double | targetRotation
OutTextFile * | dataFile
int | index
OdometryData | lastOdometry
double | rotationAngle
int | state
Vector3< double > | targets [6]

## Constructor & Destructor Documentation

SLBenchmark::SLBenchmark | ( | const BehaviorControlInterfaces & | interfaces | ) |

| Definition at line 15 of file SLBenchmark.cpp. References GenerateNewTarget(), idText, INITIAL_STATE, OUTPUT, pi, pi_2, pi_4, and targets.

Here is the call graph for this function:

## Member Function Documentation

void SLBenchmark::execute | ( |  | ) | `[virtual]`

| When doing a debug build, we save the time, when we entered the module, so we can find endless loops. Reimplemented from Module. Definition at line 39 of file SLBenchmark.cpp. References Vector2< double >::angle(), ARROW, currentPose, GenerateNewTarget(), GTCamWorldState::getRobotPose(), GoToNextTarget(), HeadControlMode::headControlMode, INITIAL_STATE, LINE, MotionRequest::motionType, ROT_ERROR, RotateToNextTarget(), Pose2D::rotation, MotionRequest::stand, targets, TRANS_ERROR, Pose2D::translation, WalkRequest::walkParams, MotionRequest::walkRequest, Vector3< double >::x, Vector2< V >::x, Vector2< double >::x, Vector3< double >::y, Vector2< V >::y, and Vector2< double >::y.

Here is the call graph for this function:

void SLBenchmark::GenerateNewTarget | ( |  | ) | `[private]`

| Definition at line 108 of file SLBenchmark.cpp. References endl(), idText, OUTPUT, pi, pi2, targetPosition, targets, Vector3< double >::x, Vector2< double >::x, Vector3< double >::y, Vector2< double >::y, and Vector3< double >::z. Referenced by execute(), and SLBenchmark().

Here is the call graph for this function:

double SLBenchmark::GoToNextTarget | ( |  | ) | `[private]`

| Definition at line 128 of file SLBenchmark.cpp. References Vector2< V >::abs(), Geometry::angleTo(), ARROW, currentPose, endl(), GTCamWorldState::getRobotPose(), min, MotionRequest::motionType, Pose2D::rotation, targetPosition, TRANS_ERROR, Pose2D::translation, MotionRequest::walk, WalkRequest::walkParams, MotionRequest::walkRequest, Vector2< double >::x, Vector2< V >::x, Vector2< double >::y, and Vector2< V >::y. Referenced by execute().

Here is the call graph for this function:

double SLBenchmark::RotateToNextTarget | ( |  | ) | `[private]`

| Definition at line 164 of file SLBenchmark.cpp. References GTCamWorldState::getRobotPose(), MotionRequest::motionType, pi, pi2, pi_4, ROT_ERROR, Pose2D::rotation, Pose2D::translation, MotionRequest::walk, WalkRequest::walkParams, MotionRequest::walkRequest, Vector2< double >::x, and Vector2< double >::y. Referenced by execute().

Here is the call graph for this function:

bool SLBenchmark::FullTurn | ( |  | ) | `[private]`

| Definition at line 191 of file SLBenchmark.cpp. References MotionRequest::motionType, pi, pi_2, Pose2D::rotation, Pose2D::translation, MotionRequest::walk, WalkRequest::walkParams, MotionRequest::walkRequest, Vector2< double >::x, and Vector2< double >::y.

## Member Data Documentation

Pose2D SLBenchmark::currentPose`[private]`

| Definition at line 13 of file SLBenchmark.h. Referenced by execute(), and GoToNextTarget().

Vector2<double> SLBenchmark::targetPosition`[private]`

| Definition at line 15 of file SLBenchmark.h. Referenced by GenerateNewTarget(), and GoToNextTarget().

double SLBenchmark::targetRotation`[private]`

| Definition at line 16 of file SLBenchmark.h.

OutTextFile* SLBenchmark::dataFile`[private]`

| Definition at line 18 of file SLBenchmark.h.

int SLBenchmark::index`[private]`

| Definition at line 20 of file SLBenchmark.h.

OdometryData SLBenchmark::lastOdometry`[private]`

| Definition at line 22 of file SLBenchmark.h.

double SLBenchmark::rotationAngle`[private]`

| Definition at line 24 of file SLBenchmark.h.

int SLBenchmark::state`[private]`

| Definition at line 26 of file SLBenchmark.h.

Vector3<double> SLBenchmark::targets[6]`[private]`

| Definition at line 28 of file SLBenchmark.h. Referenced by execute(), GenerateNewTarget(), and SLBenchmark().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/SLBenchmark.h
- Modules/BehaviorControl/SLBenchmark.cpp